Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools CMS Java API Reference 10g Release 3 (10.1.3) B25377-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cms
Interface CMS

public interface CMS

Defines various constants needed by users of this package.

Field Summary
`static oracle.security.crypto.core.AlgorithmIdentifier` | `des_ede3_cbc` The Triple-DES Content Encryption in CBC mode Algorithm Identifier (1.2.840.113549.3.7).
`static oracle.security.crypto.core.AlgorithmIdentifier` | `dh_public_number` The Diffie-Hellman Public Key Object Identifier (1.2.840.10046.2.1).
`static oracle.security.crypto.core.AlgorithmIdentifier` | `dsaWithSHA` The DSA Signature Algorithm Identifier (1.3.14.3.2.13).
`static oracle.security.crypto.core.AlgorithmIdentifier` | `dsaWithSHA1Old` The Obsolete DSA Signature Algorithm Identifier (1.3.14.3.2.27).
`static oracle.security.crypto.core.AlgorithmIdentifier` | `hmac_SHA_1` The HMAC with SHA1 Message Authentication Code Algorithm Identifier (1.3.6.1.5.5.8.1.2).
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_aa_contentIdentifier` The ESS ContentIdentifier attribute object identifier (1.2.840.113549.1.9.16.2.7).
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_aa_timeStampToken` The SignatureTimeStampToken (TimeStampToken) Attribute Object Identifier (1.2.840.113549.1.9.16.2.14).
`static oracle.security.crypto.core.AlgorithmIdentifier` | `id_alg_CMS3DESwrap` The Triple-DES Key Encryption (Wrap) Algorithm Identifier (1.2.840.113549.1.9.16.3.6).
`static oracle.security.crypto.core.AlgorithmIdentifier` | `id_alg_CMSRC2wrap` The RC2 Key Encryption (Wrap) Algorithm Identifier (1.2.840.113549.1.9.16.3.7).
`static oracle.security.crypto.core.AlgorithmIdentifier` | `id_alg_ESDH` The Ephimeral-Static Diffie-Hellman Key Agreement Algorithm Identifier (1.2.840.113549.1.9.16.3.5).
`static oracle.security.crypto.core.AlgorithmIdentifier` | `id_alg_zlibCompress` The ZLIB Compress Algorithm Object Identifier (1.2.840.113549.1.3.86.2.14).
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_cct` The CMC Content Types Object Identifier (1.3.6.1.5.5.7.12).
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_cct_pkiData` The CMC Request Message Content Type Object Identifier (1.3.6.1.5.5.7.12.2).
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_cct_pkiResponse` The CMC Response Message Content Type Object Identifier (1.3.6.1.5.5.7.12.3).
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_contentType` The Content Type Attribute Object Identifier (1.2.840.113549.1.9.3).
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_counterSignature` The Counter Signature Attribute Object Identifier (1.2.840.113549.1.9.6).
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_ct_authData` The Authenticated-Data Content Type Object Identifier (1.2.840.113549.1.9.16.1.2).
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_ct_compressedData` The Compressed Data Content Type Object Identifier (1.2.840.113549.1.9.16.1.9).
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_ct_contentInfo` The ContentInfo Content Type Object Identifier (1.2.840.113549.1.9.16.1.6).
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_ct_receipt` The ESS Receipt Content Type Object Identifier (1.2.840.113549.1.9.16.1.1).
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_ct_TSTInfo` The TSTInfo (TimeStampToken Information) Content Type Object Identifier (1.2.840.113549.1.9.16.1.4).
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_data` The Data Content Type Object Identifier (1.2.840.113549.1.7.1).
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_digestedData` The Digested-Data Content Type Object Identifier (1.2.840.113549.1.7.5).
`static oracle.security.crypto.core.AlgorithmIdentifier` | `id_dsa_with_sha_1` The DSA Signature Algorithm Identifier, with params omitted (not `null`) as per RFC-2633 (1.2.840.10040.4.3).
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_encryptedData` The Encrypted-Data Content Type Object Identifier (1.2.840.113549.1.7.6).
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_envelopedData` The Enveloped-Data Content Type Object Identifier (1.2.840.113549.1.7.3).
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_messageDigest` The Message Digest Attribute Object Identifier (1.2.840.113549.1.9.4).
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_signedData` The Signed-Data Content Type Object Identifier (1.2.840.113549.1.7.2).
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_signingTime` The Signing Time Attribute Object Identifier (1.2.840.113549.1.9.5).
`static oracle.security.crypto.core.AlgorithmIdentifier` | `md5` The MD5 Digest Algorithm Identifier (1.2.840.113549.2.5).
`static oracle.security.crypto.core.AlgorithmIdentifier` | `rc2_cbc` The RC2 Content Encryption Algorithm in CBC mode Algorithm Identifier (1.2.840.113549.3.2).
`static oracle.security.crypto.core.AlgorithmIdentifier` | `rsaEncryption` The RSA Signature Algorithm Identifier (1.2.840.113549.1.1.1).
`static oracle.security.crypto.core.AlgorithmIdentifier` | `sha_1` The SHA-1 Digest Algorithm Identifier (1.3.14.3.2.26).

Field Detail

### id_ct_contentInfo

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_ct_contentInfo

  The ContentInfo Content Type Object Identifier (1.2.840.113549.1.9.16.1.6).

### id_data

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_data

  The Data Content Type Object Identifier (1.2.840.113549.1.7.1).

### id_signedData

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_signedData

  The Signed-Data Content Type Object Identifier (1.2.840.113549.1.7.2).

### id_envelopedData

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_envelopedData

  The Enveloped-Data Content Type Object Identifier (1.2.840.113549.1.7.3).

### id_digestedData

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_digestedData

  The Digested-Data Content Type Object Identifier (1.2.840.113549.1.7.5).

### id_encryptedData

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_encryptedData

  The Encrypted-Data Content Type Object Identifier (1.2.840.113549.1.7.6).

### id_ct_authData

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_ct_authData

  The Authenticated-Data Content Type Object Identifier (1.2.840.113549.1.9.16.1.2).

### id_contentType

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_contentType

  The Content Type Attribute Object Identifier (1.2.840.113549.1.9.3).

### id_messageDigest

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_messageDigest

  The Message Digest Attribute Object Identifier (1.2.840.113549.1.9.4).

### id_signingTime

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_signingTime

  The Signing Time Attribute Object Identifier (1.2.840.113549.1.9.5).

### id_counterSignature

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_counterSignature

  The Counter Signature Attribute Object Identifier (1.2.840.113549.1.9.6).

### sha_1

    public static final oracle.security.crypto.core.AlgorithmIdentifier sha_1

  The SHA-1 Digest Algorithm Identifier (1.3.14.3.2.26).

### md5

    public static final oracle.security.crypto.core.AlgorithmIdentifier md5

  The MD5 Digest Algorithm Identifier (1.2.840.113549.2.5).

### id_dsa_with_sha_1

    public static final oracle.security.crypto.core.AlgorithmIdentifier id_dsa_with_sha_1

  The DSA Signature Algorithm Identifier, with params omitted (not `null`) as per RFC-2633 (1.2.840.10040.4.3).

### dsaWithSHA

    public static final oracle.security.crypto.core.AlgorithmIdentifier dsaWithSHA

  The DSA Signature Algorithm Identifier (1.3.14.3.2.13).

### dsaWithSHA1Old

    public static final oracle.security.crypto.core.AlgorithmIdentifier dsaWithSHA1Old

  The Obsolete DSA Signature Algorithm Identifier (1.3.14.3.2.27).

### rsaEncryption

    public static final oracle.security.crypto.core.AlgorithmIdentifier rsaEncryption

  The RSA Signature Algorithm Identifier (1.2.840.113549.1.1.1).

### dh_public_number

    public static final oracle.security.crypto.core.AlgorithmIdentifier dh_public_number

  The Diffie-Hellman Public Key Object Identifier (1.2.840.10046.2.1).

### id_alg_ESDH

    public static final oracle.security.crypto.core.AlgorithmIdentifier id_alg_ESDH

  The Ephimeral-Static Diffie-Hellman Key Agreement Algorithm Identifier (1.2.840.113549.1.9.16.3.5).

### id_alg_CMS3DESwrap

    public static final oracle.security.crypto.core.AlgorithmIdentifier id_alg_CMS3DESwrap

  The Triple-DES Key Encryption (Wrap) Algorithm Identifier (1.2.840.113549.1.9.16.3.6).

### id_alg_CMSRC2wrap

    public static final oracle.security.crypto.core.AlgorithmIdentifier id_alg_CMSRC2wrap

  The RC2 Key Encryption (Wrap) Algorithm Identifier (1.2.840.113549.1.9.16.3.7).

### des_ede3_cbc

    public static final oracle.security.crypto.core.AlgorithmIdentifier des_ede3_cbc

  The Triple-DES Content Encryption in CBC mode Algorithm Identifier (1.2.840.113549.3.7).

### rc2_cbc

    public static final oracle.security.crypto.core.AlgorithmIdentifier rc2_cbc

  The RC2 Content Encryption Algorithm in CBC mode Algorithm Identifier (1.2.840.113549.3.2).

### hmac_SHA_1

    public static final oracle.security.crypto.core.AlgorithmIdentifier hmac_SHA_1

  The HMAC with SHA1 Message Authentication Code Algorithm Identifier (1.3.6.1.5.5.8.1.2).

### id_ct_receipt

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_ct_receipt

  The ESS Receipt Content Type Object Identifier (1.2.840.113549.1.9.16.1.1).

### id_aa_contentIdentifier

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_aa_contentIdentifier

  The ESS ContentIdentifier attribute object identifier (1.2.840.113549.1.9.16.2.7).

### id_ct_TSTInfo

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_ct_TSTInfo

  The TSTInfo (TimeStampToken Information) Content Type Object Identifier (1.2.840.113549.1.9.16.1.4).

### id_aa_timeStampToken

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_aa_timeStampToken

  The SignatureTimeStampToken (TimeStampToken) Attribute Object Identifier (1.2.840.113549.1.9.16.2.14).

### id_ct_compressedData

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_ct_compressedData

  The Compressed Data Content Type Object Identifier (1.2.840.113549.1.9.16.1.9).

### id_alg_zlibCompress

    public static final oracle.security.crypto.core.AlgorithmIdentifier id_alg_zlibCompress

  The ZLIB Compress Algorithm Object Identifier (1.2.840.113549.1.3.86.2.14).

### id_cct

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_cct

  The CMC Content Types Object Identifier (1.3.6.1.5.5.7.12).

### id_cct_pkiData

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_cct_pkiData

  The CMC Request Message Content Type Object Identifier (1.3.6.1.5.5.7.12.2).

### id_cct_pkiResponse

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_cct_pkiResponse

  The CMC Response Message Content Type Object Identifier (1.3.6.1.5.5.7.12.3).

Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools CMS Java API Reference 10g Release 3 (10.1.3) B25377-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.